Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class COSSource

    java.lang.Object
      multivalent.std.adaptor.pdf.COSSource

Direct Known Subclasses:
  PDFReader, PDFWriter

public abstract class COSSource
extends java.lang.Object

Abstract superclass for classes that can produce PDF COS objects.

- Object access: `getObject(Object)`, `getObjCnt()` `getTrailer()`
- Algorithms: `connected(Object)`
- Object inspection: `getDecodeParms(Dict, String)`,
- Versioning: `getVersion()`}

Version:
  $Revision: 1.3 $ $Date: 2004/05/09 07:04:26 $

Constructor Summary
`COSSource()`

Method Summary
`java.util.List<IRef>` | `connected(java.lang.Object obj)` Returns list of `IRef`s to objects reachable from object obj connected by nested data structures or indirect references.
`abstract Dict` | `getCatalog()`
`java.lang.Object` | `getDecodeParms(Dict stream, java.lang.String filter)` Returns DecodeParms associated with filter; or if no filter by that name returns null.
`abstract int` | `getObjCnt()`
`abstract java.lang.Object` | `getObject(java.lang.Object ref)`
`int` | `getObjInt(java.lang.Object ref)` Convenience method for `((Number)getObject(ref)).intValue()`.
`abstract Dict` | `getTrailer()`
`abstract phelps.util.Version` | `getVersion()` Returns the major version of PDF used; for example, for PDF 1.4.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### COSSource

    public COSSource()

Method Detail

### getObject

    public abstract java.lang.Object getObject(java.lang.Object ref)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getObjCnt

    public abstract int getObjCnt()

### getCatalog

    public abstract Dict getCatalog()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTrailer

    public abstract Dict getTrailer()

### getObjInt

    public int getObjInt(java.lang.Object ref)
                  throws java.io.IOException

  Convenience method for `((Number)getObject(ref)).intValue()`.

  Throws:
    `java.io.IOException`

### connected

    public java.util.List<IRef> connected(java.lang.Object obj)
                                   throws java.io.IOException

  Returns list of `IRef`s to objects reachable from object obj connected by nested data structures or indirect references.

  Throws:
    `java.io.IOException`

### getVersion

    public abstract phelps.util.Version getVersion()

  Returns the major version of PDF used; for example, for PDF 1.4.

### getDecodeParms

    public java.lang.Object getDecodeParms(Dict stream,
                                           java.lang.String filter)
                                    throws java.io.IOException

  Returns DecodeParms associated with filter; or if no filter by that name returns null.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD